summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Igor Alexandrov <igor.alexandrov@outlook.com>2020-05-22 12:26:56 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-05-23 09:31:57 +0700
commit92a27e00608a6f3e4bee7ba3936d99e7cec52bbc (patch)
treec913ba61f909357ff882b1a0cd412d567d8e78a5 /network
parent90006f28632a0cdc2e59b21066c66cca716ebdf6 (diff)
downloadslackbuilds-92a27e00608a6f3e4bee7ba3936d99e7cec52bbc.tar.gz
slackbuilds-92a27e00608a6f3e4bee7ba3936d99e7cec52bbc.tar.xz
network/pCloudDrive: Updated for version 1.8.2.
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/pCloudDrive/pCloudDrive.SlackBuild26
-rw-r--r--network/pCloudDrive/pCloudDrive.info6
2 files changed, 17 insertions, 15 deletions
diff --git a/network/pCloudDrive/pCloudDrive.SlackBuild b/network/pCloudDrive/pCloudDrive.SlackBuild
index 9608a0da02..ed286a3e18 100644
--- a/network/pCloudDrive/pCloudDrive.SlackBuild
+++ b/network/pCloudDrive/pCloudDrive.SlackBuild
@@ -22,19 +22,26 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Modifid by slackbuilds.org
+
PRGNAM=pCloudDrive
-VERSION=${VERSION:-1.8.0}
+VERSION=${VERSION:-1.8.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
- case "$(uname -m)" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$(uname -m) ;;
- esac
+ ARCH=$(uname -m)
fi
+case "$ARCH" in
+ i?86) break ;;
+ x86_64) break ;;
+ *)
+ echo "$ARCH is not supported for $PRGNAM-$VERSION"
+ exit 1
+ ;;
+esac
+
set -e
CWD=$(pwd)
@@ -44,11 +51,6 @@ OUTPUT=${OUTPUT:-/tmp}
APPIMGNAM=pcloud
-if [ "$ARCH" != "x86_64" -a "$ARCH" != "i586" ]; then
- echo "$ARCH is not supported for $PRGNAM-$VERSION"
- exit 1
-fi
-
rm -rf $PKG
mkdir -p $TMP $OUTPUT $PKG/{install,opt,usr/{bin,doc/$PRGNAM-$VERSION}}
cd $PKG/opt
@@ -57,7 +59,7 @@ $CWD/$APPIMGNAM --appimage-extract
mv squashfs-root $PRGNAM
cd $PKG
mv $PKG/opt/$PRGNAM/usr/share $PKG/usr
-rm -rf $PKG/opt/$PRGNAM/{usr,AppRun,pcloud.png,pcloud.desktop}
+rm -rf $PKG/opt/$PRGNAM/{usr,AppRun,pcloud.png,pcloud.desktop,resources/app/.vscode}
install -D -m 644 -t $PKG/usr/share/applications $CWD/pclouddrive.desktop
chown -R root:root .
diff --git a/network/pCloudDrive/pCloudDrive.info b/network/pCloudDrive/pCloudDrive.info
index 628b277457..9fcaac6eaa 100644
--- a/network/pCloudDrive/pCloudDrive.info
+++ b/network/pCloudDrive/pCloudDrive.info
@@ -1,10 +1,10 @@
PRGNAM="pCloudDrive"
-VERSION="1.8.0"
+VERSION="1.8.2"
HOMEPAGE="https://www.pcloud.com"
DOWNLOAD="https://www.pcloud.com/how-to-install-pcloud-drive-linux.html?download=electron-32"
-MD5SUM="d58cd5887c1986548bcfea7902903c11"
+MD5SUM="f901d19762baa9f3c5fce9ed6c2b9fed"
DOWNLOAD_x86_64="https://www.pcloud.com/how-to-install-pcloud-drive-linux.html?download=electron-64"
-MD5SUM_x86_64="83568eb6edb7eaa96bfa097a9bf414de"
+MD5SUM_x86_64="62560154e26d5b848e7bc3e5c19cc649"
REQUIRES=""
MAINTAINER="Igor Alexandrov"
EMAIL="igor.alexandrov@outlook.com"